"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var $ = require("jquery");
function inputMsg(options) {
    function removeClasses(parent) {
        parent.removeClass('has-error');
        parent.removeClass('has-success');
        parent.removeClass('has-warning');
        parent.removeClass('has-info');
    }
    function addMessage(element, options) {
        if (!options.type) {
            options.type = "error";
        }
        element.each(function () {
            var $parent = $(this).parents(".form-group");
            removeClasses($parent);
            $parent.addClass("has-" + options.type);
            $('.help-block', $parent).remove();
            $parent.append("<span class=\"help-block\">" + options.message + "</span>");
        });
    }
    function reset(element) {
        element.each(function () {
            var $parent = $(this).parents(".form-group");
            removeClasses($parent);
            $('.help-block', $parent).remove();
        });
    }
    if (typeof options == "object") {
        addMessage(this, options);
    }
    else {
        reset(this);
    }
}
$.fn.inputMsg = inputMsg;
